[Debian-live-changes] r2190 - in dists/trunk/live-helper: functions helpers

daniel at alioth.debian.org daniel at alioth.debian.org
Tue Jun 19 08:12:03 UTC 2007


Author: daniel
Date: 2007-06-19 08:12:02 +0000 (Tue, 19 Jun 2007)
New Revision: 2190

Added:
   dists/trunk/live-helper/functions/packagelists.sh
Removed:
   dists/trunk/live-helper/functions/package_lists.sh
Modified:
   dists/trunk/live-helper/helpers/lh_chroot_local-packageslists
   dists/trunk/live-helper/helpers/lh_chroot_packageslists
Log:


Deleted: dists/trunk/live-helper/functions/package_lists.sh
===================================================================
--- dists/trunk/live-helper/functions/package_lists.sh	2007-06-19 08:07:03 UTC (rev 2189)
+++ dists/trunk/live-helper/functions/package_lists.sh	2007-06-19 08:12:02 UTC (rev 2190)
@@ -1,44 +0,0 @@
-#!/bin/sh
-
-# package_lists.sh - expands package list includes
-# Copyright (C) 2006-2007 Daniel Baumann <daniel at debian.org>
-#
-# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
-# This is free software, and you are welcome to redistribute it
-# under certain conditions; see COPYING for details.
-
-set -e
-
-Expand_package_list ()
-{
-	# ${1} List name
-	# ${2} Default path to search
-	# ${3} Fallback path to search (optional)
-
-	echo "Expand package list with ${@}"
-
-	# Does list exist in default path?
-	if [ -e "${2}/${1}" ];
-	then
-		Expand_package_list_file "${2}/${1}" "${@}"
-	else
-		# If list exists in fallback, include it.
-		if [ -n "${3}" ] && [ -e "${3}/${1}" ]
-		then
-			Expand_package_list_file "${3}/${1}" "${@}"
-		fi
-	fi
-}
-
-Expand_package_list_file ()
-{
-	local FILE="${1}"
-	shift
-	shift
-
-	for INCLUDE in `sed -ne 's/^#<include> \(.*\)/\1/gp' "${FILE}"`;
-	do
-		Expand_package_list "${INCLUDE}" "${@}"
-	done
-	sed -ne 's/^\([^#].*\)/\1\n/gp' $FILE
-}

Copied: dists/trunk/live-helper/functions/packagelists.sh (from rev 2188, dists/trunk/live-helper/functions/package_lists.sh)
===================================================================
--- dists/trunk/live-helper/functions/packagelists.sh	                        (rev 0)
+++ dists/trunk/live-helper/functions/packagelists.sh	2007-06-19 08:12:02 UTC (rev 2190)
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+# packagelists.sh - expands package list includes
+# Copyright (C) 2006-2007 Daniel Baumann <daniel at debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+Expand_packagelist ()
+{
+	# ${1} List name
+	# ${2} Default path to search
+	# ${3} Fallback path to search (optional)
+
+	echo "Expand package list with ${@}"
+
+	# Does list exist in default path?
+	if [ -e "${2}/${1}" ];
+	then
+		Expand_packagelist_file "${2}/${1}" "${@}"
+	else
+		# If list exists in fallback, include it.
+		if [ -n "${3}" ] && [ -e "${3}/${1}" ]
+		then
+			Expand_packagelist_file "${3}/${1}" "${@}"
+		fi
+	fi
+}
+
+Expand_packagelist_file ()
+{
+	local FILE="${1}"
+	shift
+	shift
+
+	for INCLUDE in `sed -ne 's/^#<include> \(.*\)/\1/gp' "${FILE}"`;
+	do
+		Expand_packagelist "${INCLUDE}" "${@}"
+	done
+	sed -ne 's/^\([^#].*\)/\1\n/gp' "${FILE}"
+}

Modified: dists/trunk/live-helper/helpers/lh_chroot_local-packageslists
===================================================================
--- dists/trunk/live-helper/helpers/lh_chroot_local-packageslists	2007-06-19 08:07:03 UTC (rev 2189)
+++ dists/trunk/live-helper/helpers/lh_chroot_local-packageslists	2007-06-19 08:12:02 UTC (rev 2190)
@@ -54,7 +54,7 @@
 	for PACKAGESLIST in config/chroot_local-packageslists/*
 	do
 		# Generate package list
-		Expand_package_list "`basename ${PACKAGESLIST}`" "config/chroot_local-packageslists" "${LH_BASE:-/usr/share/live-helper/lists}/lists" > chroot/root/"`basename ${PACKAGESLIST}`"
+		Expand_packagelist "`basename ${PACKAGESLIST}`" "config/chroot_local-packageslists" "${LH_BASE:-/usr/share/live-helper/lists}/lists" > chroot/root/"`basename ${PACKAGESLIST}`"
 		
 		# Installing package list
 		case "${LH_APT}" in

Modified: dists/trunk/live-helper/helpers/lh_chroot_packageslists
===================================================================
--- dists/trunk/live-helper/helpers/lh_chroot_packageslists	2007-06-19 08:07:03 UTC (rev 2189)
+++ dists/trunk/live-helper/helpers/lh_chroot_packageslists	2007-06-19 08:12:02 UTC (rev 2190)
@@ -56,7 +56,7 @@
 		if [ -f ${LH_BASE:-/usr/share/live-helper}/lists/"${LIST}" ]
 		then
 			# Generating package list
-			Expand_package_list "${LIST}" "config/chroot_local-packageslists" "${LH_BASE:-/usr/share/live-helper}/lists" > chroot/root/${LIST}
+			Expand_packagelist "${LIST}" "config/chroot_local-packageslists" "${LH_BASE:-/usr/share/live-helper}/lists" > chroot/root/${LIST}
 
 			# Installing package list
 			case "${LH_APT}" in




More information about the Debian-live-changes mailing list